# ELECTRONIC-LIFE
Es gilt zwischen "Leben" und "Eigenleben" zu unterscheiden. Eigenleben ist interessant für die Kunst - es ist künstliche Lebendigkeit.  
Dingen "Eigenleben einzuhauchen" ist sehr einfach. Animation bedeutet "Beseelung" - praktisch aber nichts anderes, als ein Graphiktrick.  
Auch Zufallsfaktoren in Apparate hineinzubringen lässt sie wirken, als hätten sie ein Eigenleben. Ähnlich ist das mit unüberschaubar großer Komplexität der Technik so wie dessen Defekt. Das ist für den Zweck des "Eigenlebens" fast das Gleiche.  
Mit "Leben" hingegen meine ich konkret die Fähigkeit des sich-Vermehrens, Mutierens, Stoffwechsel etc. - Eben die wissenschaftliche Definition, wie sie in der Biologie entstanden ist.  
Dies zu Synthetisieren bedeutet nicht künstliches Leben zu erschaffen, sondern tatsächliches Leben. Das hat mit Kunst also nichts zu tun.  
"Künstliches Leben" ist vielleicht die Darstellung fiktiven Vermehrungsprozesses etc. Sehr interessant was hier alles dazu gehört, aber nicht in diesem Text.
  
## Experimente / Forschungen
Mathematisches Leben – Möglich?  
Digitales Leben – Möglich?  
Maschinelles Leben – Möglich?  
  
Definition Leben plus Kommentare:  

```
- Energie- und Stoffwechsel und damit Wechselwirkung mit ihrer Umwelt
```  

Umwelt als 3D-Matrix oder Turingmaschine, mathematisch lösbar  

```
- Organisiertheit und Selbstregulation (Homöostase).
```  

Das scheint esoterisch. Warum steht das da?  

```
- Reizbarkeit, das heißt sie sind fähig, auf chemische oder physikalische Änderungen in ihrer Umwelt zu reagieren.
```  

Frage nach Physis von Mathematik -> Turingmaschine (ist die Turingmaschine ein mathematischer Beweis für irgendetwas?)  

```
- Fortpflanzung, das heißt, sie sind zur Reproduktion fähig.
```  

Rekursive Funktionen, mathematisch lösbar (mit unendlich Iterationen: nur mathematisch als Gedankenexperiment / nicht anwendbar)  

```
- Vererbung, das heißt, sie können Informationen (Erbgut) an ihre Nachkommen übermitteln.
```  

Gibt es einen Beweis dafür, dass eine Situation unmöglich mehrfach exakt gleich auftreten kann? Damit wäre auch jenes Esoterik, dass Reproduktion nicht Übermittlung von Informationen an die Nachkommen bedeute. Das bedeute, der vorherige Punkt impliziert diesen bereits.  

```
- Wachstum und damit die Fähigkeit zur Entwicklung.
```  

Rekursive Funktion welche mit jeder Iteration wächst, mathematisch lösbar  

### Simulierte Chemie

Das bekannteste auto-replikative Molekül ist die DNA. Die Komplexität der DNA, und des Vorgangs dessen  Vervielfältigung, ist ein Naturphänomen, und für viele sogar so etwas wie ein Wunder. Kreationisten und Evolutionstheoretiker streiten sich um die Entstehung hiervon. War es ein Gott? Oder kann sich ein solches Molekül unter den Gegebenheiten auf einer Erde, die aus ein Urknall heraus entstand, „entwickelt“ haben?  
  
Ziel (wild):  
Atome und Umgebungsfaktoren wie Wärme oder Licht abstrakt so zu simulieren, dass diese virtuellen Atome nach Naturgesetz-ähnlichen Prinzipien (abstrahiert) miteinander zu Molekülen reagieren können. Der Versuch, eine Box voller virtueller positiv und negativ geladener virtueller Kraftfelder zu gestalten. Die Kraftfelder sollen sich ähnlich der Protonen und Elektronen verhalten, zusammen mit einem Massekern, ähnlich realer Atome, bedeutet, dass sie aus Elektronen, Protonen und Neutronen bestehen, dass die Elektronen ihren Erregungszustand ändern können („auf höhere Schalen springen“), und dass sie miteinander zu Molekülen endotherm oder exotherm reagieren und zerfallen können. Elektronen und Protonen als Kraftfelder, eventuell Partikel- oder Vektorensysteme, simulieren.  
Diese Simulation laufen lassen, bis eins dieser virtuellen Moleküle sich selbst repliziert, weil es in seiner technischen Struktur liegt.  

### Mathematik
Rekursive Funktionen wie die Ackermann-Funktion referenzieren sich selbst in sich selbst und geben sich selbst leicht verändert wieder.  
Ist das schon Leben?   

![Formel1](f1.gif)  
  
LaTeX:  
```
\lim\limits_{n \rightarrow \infty}{f_n\left ( x \right )}= {f_n_+_1(x+y)}
``` 
n sei Generation  
y sei Mutation  
  
  
### Computerviren
  
Fork-bomb in Batch und Bash im Ordner [PETRI_DISH](PETRI_DISH)  
Creeper was an experimental computer program written by Bob Thomas at BBN in 1971.  
Its original iteration was designed to move between DEC PDP-10 mainframe computers running the TENEX operating system using the ARPANET, with a later version by Ray Tomlinson designed to copy itself between computers rather than simply move.  
This self-replicating version of Creeper is generally accepted to be the first computer worm.  
  
The program was not actively malicious software as it caused no damage to data, the only effect being a message in output to the teletype reading "I'm the creeper: catch me if you can".  


